FROM alpine:latest
RUN apk update && apk upgrade
RUN apk add bash
RUN apk add autoconf
RUN apk add automake
RUN apk add make
RUN apk add gcc
RUN apk add g++
RUN apk add nginx
COPY nginx /etc/nginx
COPY src /usr/share/nginx/html
EXPOSE 80
EXPOSE 443
STOPSIGNAL SIGTERM
CMD ["/bin/bash", "-c", "nginx -g 'daemon off;'"]